# OSGeo::FDO::Schema::FeatureSchemaCollection Class Reference
[OSGeo::FDO::Schema]

Inheritance diagram for OSGeo::FDO::Schema::FeatureSchemaCollection:

[legend]

List of all members.

## Detailed Description

The FeatureSchemaCollection class represents a collection of FeatureSchema objects.

()

## Public Member Functions
System::Int32 | Add (FeatureSchema *value)
| Adds a FeatureSchema object into the collection.
System::Void | Clear ()
| Removes all elements from the collection.
System::Boolean | Contains (String *name)
| Determines whether the collection contains a specific FeatureSchema object.
System::Boolean | Contains (FeatureSchema *value)
| Determines whether the collection contains a specific FeatureSchema object.
System::Void | CopyTo (FeatureSchema *array[], System::Int32 startAt)
| Copies the elements of the collection to an array.
| FeatureSchemaCollection (System::IntPtr unmanaged, System::Boolean autoDelete)
| Constructs a FeatureSchemaCollection object based on an unmanaged instance of the object.
| FeatureSchemaCollection (OSGeo::FDO::Schema::SchemaElement *parent)
| Constructs a FeatureSchemaCollection object.
OSGeo::FDO::IDisposableCollection * | FindClass (System::String *className)
| Takes a qualified or unqualified class name and return a collection of class definitions that match the class name. For qualified name, the collection contains at most one class definition.
__property System::Int32 | get_Count (System::Void)
| Gets the count of items in collection.
__property FeatureSchema * | get_Item (System::Int32 index)
| Gets an item in the collection.
__property FeatureSchema * | get_RealTypeItem (System::String *index)
| Gets the item in the collection by name.
__property FeatureSchema * | get_RealTypeItem (System::Int32 index)
| Gets the item in the collection at the specified index.
__property OSGeo::FDO::Commands::Schema::PhysicalSchemaMappingCollection * | get_XmlSchemaMappings ()
| Gets a Schema Mapping Collection that describes the mappings between the elements in the GML Schema that were read and the FDO Feature Schema Elements that were created. This function returns the Schema Mapping Collection generated by the last call to ReadXml(). The collection contains one XmlSchemaMapping per schema that was read.
OSGeo::FDO::Xml::XmlFlags * | GetDeserializationFlags ()
| Gets the XML Flags that were passed to the ReadXml() function that is currently being executed. This function would typically be called by the XmlSaxHandler callbacks.
__sealed System::Collections::IEnumerator * | GetEnumerator (System::Void)
| Gets an enumerator that can iterate through a collection.
OSGeo::FDO::Common::Xml::XmlReader * | GetFromExternalStylesheet ()
| Gets the stylesheet for converting a Feature Schema collection from external to internal XML format. The internal format is very similar to the Feature Schema class hierarchy. The external format is OGC GML.
OSGeo::FDO::Common::Xml::XmlReader * | GetFromInternalStylesheet ()
| Gets the stylesheet for converting a Feature Schema collection from internal to external XML format. The internal format is very similar to the Feature Schema class hierarchy. The external format is OGC GML.
OSGeo::FDO::Common::Xml::XmlSaxContext * | GetSaxContext ()
| Gets the stylesheet for converting the XML document from external to internal format. When classes derived from XmlDeserializable define an internal format, they must override this function to return a stylesheet that does the conversion.
OSGeo::FDO::Common::Xml::XmlReader * | GetXmlReader ()
| Gets the current XML Reader. This function would typically be called by the XmlSaxHandler callbacks when ReadXml() is being invoked. When ReadXml() reads from a file, stream, or text reader, a wrapping XML reader is automatically created.
System::Int32 | IndexOf (String *name)
| Determines the index of a specific FeatureSchema object.
System::Int32 | IndexOf (FeatureSchema *value)
| Determines the index of a specific FeatureSchema object.
System::Void | Insert (System::Int32 index, FeatureSchema *value)
| Inserts a FeatureSchema object into the collection at the specified position.
System::Void | ReadXml (OSGeo::FDO::Common::Io::IoStream *stream, OSGeo::FDO::Xml::XmlFlags *flags)
| Reads an XML document from a stream.
System::Void | ReadXml (OSGeo::FDO::Common::Io::IoStream *stream)
| Reads an XML document from a stream.
System::Void | ReadXml (OSGeo::FDO::Common::Io::IoTextReader *textReader, OSGeo::FDO::Xml::XmlFlags *flags)
| Reads an XML document from a text reader.
System::Void | ReadXml (OSGeo::FDO::Common::Io::IoTextReader *textReader)
| Reads an XML document from a text reader.
System::Void | ReadXml (OSGeo::FDO::Common::Xml::XmlReader *xmlReader, OSGeo::FDO::Xml::XmlFlags *flags)
| Reads an XML document from an XML reader.
System::Void | ReadXml (OSGeo::FDO::Common::Xml::XmlReader *xmlReader)
| Reads an XML document from an XML reader.
System::Void | ReadXml (System::String *fileName, OSGeo::FDO::Xml::XmlFlags *flags)
| Reads from an XML document in a file.
System::Void | ReadXml (System::String *fileName)
| Reads from an XML document in a file.
System::Void | Remove (FeatureSchema *value)
| Removes the first occurrence of a specific FeatureSchema object.
System::Void | RemoveAt (System::Int32 index)
| Removes the index-th FeatureSchema from this collection.
__property System::Void | set_Item (System::Int32 index, FeatureSchema *value)
| Sets the value of the item at the specified index.
__property System::Void | set_RealTypeItem (System::Int32 index, FeatureSchema *value)
| Sets the value of the item at the specified index.
System::Void | WriteXml (OSGeo::FDO::Common::Io::IoStream *stream, OSGeo::FDO::Xml::XmlFlags *flags)
| Writes to a stream. A complete XML document, containing this object, is written.
System::Void | WriteXml (OSGeo::FDO::Common::Io::IoStream *stream)
| Writes to a stream. A complete XML document, containing this object, is written.
System::Void | WriteXml (OSGeo::FDO::Common::Io::IoTextWriter *textWriter, OSGeo::FDO::Xml::XmlFlags *flags)
| Writes to a text writer. A complete XML document, containing this object, is written.
System::Void | WriteXml (OSGeo::FDO::Common::Io::IoTextWriter *textWriter)
| Writes to a text writer. A complete XML document, containing this object, is written.
System::Void | WriteXml (OSGeo::FDO::Common::Xml::XmlWriter *xmlWriter, OSGeo::FDO::Xml::XmlFlags *flags)
| Writes to an XML writer. This object is appended to the XML document being written. Unlike the other WriteXml() functions it is not necessarily the only object in its document.
System::Void | WriteXml (OSGeo::FDO::Common::Xml::XmlWriter *xmlWriter)
| Writes to an XML writer. This object is appended to the XML document being written. Unlike the other WriteXml() functions it is not necessarily the only object in its document.
System::Void | WriteXml (String *fileName, OSGeo::FDO::Xml::XmlFlags *flags)
| Writes this object to a file. A complete XML document, containing this object, is written.
System::Void | WriteXml (String *fileName)
| Writes this object to a file. A complete XML document, containing this object, is written.
System::Void | XmlCharacters (OSGeo::FDO::Common::Xml::XmlSaxContext *context, System::String *characters)
| Default Sax callback that is called when the XmlReader reads a chunk of simple content for the current element. Does nothing by default. This function may be called multiple times for the same element, if the the content is long. Applications must not make any assumptions about the chunk size or number of chunks for each element.
System::Void | XmlEndDocument (OSGeo::FDO::Common::Xml::XmlSaxContext *context)
| Default Sax callback that is called when the XmlReader finishes reading an XML document. Does nothing.
System::Boolean | XmlEndElement (OSGeo::FDO::Common::Xml::XmlSaxContext *context, System::String *resourceLocation, System::String *name, System::String *qualifiedName)
| Default Sax callback that is called when the XmlReader reads the end tag for an XML element in the document. Does nothing.
OSGeo::FDO::Common::Xml::IXmlSaxHandler * | XmlStartDocument (OSGeo::FDO::Common::Xml::XmlSaxContext *context)
| Default Sax callback that is called when the XmlReader starts reading an XML document. Does nothing.
OSGeo::FDO::Common::Xml::IXmlSaxHandler * | XmlStartElement (OSGeo::FDO::Common::Xml::XmlSaxContext *context, String *resourceLocation, String *name, String *qualifiedName, OSGeo::FDO::Common::Xml::XmlAttributeCollection *attributes)
| Default Sax callback that is called when the XmlReader reads the start tag for an XML element in the document. Does nothing.